import components from './components'
import { App, reactive } from 'vue'



// Export components for individual import
export * from './components/index'

const createPlugin = (components: any) => {
    const install = (Vue: App) => {
      components.forEach((c: any) => Vue.use(c))
      Vue.config.globalProperties.$appState = reactive({darkTheme: false, codeSandbox: false, sourceType: 'options-api'});
      console.log(Vue)
    }
    return { install }
}

// Export plugin installation method for global install
export default createPlugin([...components])


